#ifndef PPPTHREAD_H
#define PPPTHREAD_H

#include <vector>

#include "RTCM/GPSDecoder.h"
#include "bncephuser.h"

class t_pppThread : public QThread {
 Q_OBJECT

 public:
  t_pppThread();
  ~t_pppThread();
  virtual void run();

 public slots:
  void slotNewEphGPS(gpsephemeris gpseph);
  void slotNewEphGlonass(glonassephemeris gloeph);
  void slotNewEphGalileo(galileoephemeris galeph);
  void slotNewCorrections(QList<QString> corrList);
  void slotNewObs(QByteArray staID, QList<t_obs> obsList);

 private:
  class t_epoData {
   public:
    bncTime            _time;
    std::vector<t_obs> _obsRover; 
  };
  void processFrontEpoch();
  QMutex                  _mutex;
  QByteArray              _roverMount;
  QByteArray              _corrMount;
  std::vector<t_epoData*> _epochs;
};

#endif
